Get a webhook log
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/webhook-logs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/webhook-logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/webhook-logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/webhook-logs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/webhook-logs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Webhook log retrieved successfully",
"data": {
"id": "log-id",
"business_transaction_id": null,
"business_crypto_wallet_transaction_id": "crypto-transaction-id",
"type": "crypto.payout.failed",
"webhook_url": "https://example.com/webhooks/payout",
"payload": {
"event": "crypto.payout.failed",
"transaction_id": "crypto-transaction-id",
"transaction_status": "FAILED"
},
"response": {
"status": 500
},
"status": "FAILED",
"business_crypto_wallet_transaction": {
"id": "crypto-transaction-id",
"reference": "CRYPTO-REF",
"status": "FAILED",
"currency": "USDC",
"network": "ETHEREUM_MAINNET",
"transaction_hash": null
},
"webhook_log_histories": [
{
"id": "history-id",
"metadata": {
"attempt": 1
},
"headers": {
"x-blaaiz-signature": "signature"
}
}
]
}
}Webhook
Get a webhook log
Get one webhook delivery log. The response includes the related crypto transaction when the log is for a crypto payout. Required scope: webhook:read.
GET
/
api
/
external
/
webhook-logs
/
{id}
Get a webhook log
Was this page helpful?
⌘I

